Bug 219835 - nautilus needs extremely long to browse a folder
nautilus needs extremely long to browse a folder
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2006-12-15 12:52 EST by Steve
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: nautilus-
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-15 05:21:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve 2006-12-15 12:52:27 EST
Description of problem:
nautilus needs extremely long to browse a folder with large content.
(in my case a cifs-share with about 300-500 items)
it does not make a difference between whether it is a faster or slow
computer. it takes about 2-4 mitutes.

Version-Release number of selected component (if applicable):

How reproducible:
after upgrading to rawhide this happens

Steps to Reproduce:
1.install fc6
2.upgrade to rawhide
3.browse a folder with large content and wait...
Actual results:

Expected results:

Additional info:
Comment 1 Dennis Jacobfeuerborn 2006-12-30 20:42:34 EST
I can confirm this but the problem does not seem to be the browsing of the
folder itself. When I click on a folder in the tree the contents in the right
pane are displayed fast but when I click on the triangle next to the folder name
in the tree then the long delay occurs depending on the size of the directory.
Looks like this is a problem with the tree-view.
Comment 2 Steve 2006-12-31 03:26:10 EST
i have this problem with or without tree-view. it has to do with large content
in folders......
Comment 3 Alexander Larsson 2007-02-12 04:11:32 EST
Isn't the issue just that loading the files and sniffing their type over the
network via cifs is slow?
Comment 4 Steve 2007-02-12 04:27:34 EST
i don't think so, because this happens only on rawhide machines
(nautilus-2.17.90-4.fc7). there is no problem on other machines with fc5 and fc6.
Comment 5 Alexander Larsson 2007-02-13 04:28:15 EST
Weird. I don't know of any smb changes in gnome-vfs or nautilus in 2.17.x vs
2.16.x. Maybe some system issue is affecting it.
Comment 6 Steve 2007-02-13 04:54:48 EST
i installed a clean fc6. since the upgrade to rawhide i have this issue. 
for example: when i browse a folder with large amount of small pictures,
nautilus takes a very long time. when i browse this folder with gThumb, i see
the pictures in a few seconds.

this is not a samba issue, it affects too on local maschines.

i made a folder with about 300 folders inside. after that by trying opening this
folder, nautilus takes a very long time to see the 300 empty folders.
Comment 7 Steve 2007-02-23 15:50:35 EST
newest realizations: the problem exists only if nautilus is in "list view"!
Comment 8 Steve 2007-03-15 05:21:03 EDT
seems to be fixed in the actual version.

Note You need to log in before you can comment on or make changes to this bug.